<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="ALARM" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
     if (poopCount &lt; 20) canPoop = true;
else if (poopCount &lt; 30 and rand(1, 3) == 1) canPoop = true;
else if (rand(1, 8) == 1) canPoop = true;
else alarm[0] = rand(30, 60);
</argument>
      </arguments>
    </action>
  </actions>
</event>
